curl --request POST \
--url https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"inputs": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Crie um lote de pastas conforme detalhado no corpo da solicitação.
curl --request POST \
--url https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"inputs": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
As pastas de conteúdo para inserir.
Show child attributes
successful operation
A hora em que a operação em lote foi concluída.
Os resultados da operação em lote.
Show child attributes
A hora em que a operação em lote foi iniciada.
O status da operação em lote.
CANCELED, COMPLETE, PENDING, PROCESSING Os links associados à operação em lote.
Show child attributes
A hora em que a operação em lote foi solicitada.